<?
require_once '../core/system.php';
require_once 'sys.php';
echo only_reg();
if($user['clan_id'] == 0 || $user['clan_prava'] < 2) {
    header("Location: /clan/");
    exit();
}
$header = 'Объявление клану';
require_once '../core/head.php';
$error = NULL;

if(isset($_POST['message'])) {
        $message = mysql_real_escape_string($_POST[message]);
        if(mb_strlen($message, 'UTF-8') > 5) {
            mysql_query("UPDATE `clans` SET `message` = '$message' WHERE `id` = '".$user['clan_id']."'");
            mysql_query("UPDATE `user` SET `clan_mess` = '1' WHERE `clan_id` = '".$user['clan_id']."'");
            header("Location: /clan/");
            exit();
        } else $error = 'Объявление слишком короткое';
}

if($error) {
    echo '<div class="player" style="color: red">
    '.$error.'
    </div>';
}

echo '<div class="player>
<div class="mini-line"></div>
<form class="player" method="post" action="">
Введите текст объявления:<br />
<textarea class="text" name="message"></textarea><br />
<span class="btn"><span class="end"><input class="label" type="submit" value="Отправить">Отправить</span></span>
</form>
<div class="dot-line"></div>
</div>';

require_once '../core/foot.php';